GMOD_BULK_LOAD_PUBMED(1p)

NAME
gmod_bulk_load_pubmed.pl - stores pubmed entries in the database

DESCRIPTION
 Usage: perl gmod_bulk_load_pubmed.pl -H [dbhost] -D [dbname]  [-vt] -i file

parameters

-H  hostname for database

-D  database name

-i  input file [required]

-v  verbose output

-t  trial mode. Do not perform any store operations at all.

-g  GMOD database profile name (can provide host and DB name) Default: 'default'

  If not using a GMOD database profile (option -g) then you must provide the following parameters

-u  user name

-d  database driver name (i.e. 'Pg' for postgres)

-p  password for youe user to connect to the database

The script stores pubmed entries in the database. Existing ones are ignored. Input file should contain a list of pubmed ids. Then a new Publication object (Bio::Chado::Schema::Pub::Pub) with accession= PMID, the publication specs are fetched from Entrez (using eUtils) which sets the different fields in the Publication object. When the publication is stored, a new dbxref is stored first (see Chado General module)

  This script works with Chado schema and accesse the following tables:

pub
pubauthor
pubprop
dbxref
pub_dbxref

AUTHOR
Naama Menda <nm249@cornell.edu>

VERSION AND DATE
Version 1.1, April 2010.